BSON_ITER_OVERWRITE_INT64(3)

NAME
bson_iter_overwrite_int64 - bson_iter_overwrite_int64()

SYNOPSIS

void
bson_iter_overwrite_int64 (bson_iter_t *iter, int64_t value);

PARAMETERS

•   iter: A bson_iter_t.

•   value: A int64_t.

DESCRIPTION

The bson_iter_overwrite_int64() function shall overwrite the contents of a BSON_TYPE_INT64 element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when iter is not observing an element of type BSON_TYPE_INT64.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc